#!/bin/sh

PKG_NAME="powerapplet_tray"
PKG_VER="2.4"
PKG_REV="1"
PKG_DESC="Battery status tray icon"
PKG_CAT="System"
PKG_DEPS=""

download() {
	[ -f $PKG_NAME-$PKG_VER.tar.gz ] && return 0
	# download the sources tarball
	wget --http-user=puppy --http-password=linux http://bkhome.org/sources/alphabetical/p/$PKG_NAME-$PKG_VER.tar.gz
	[ $? -ne 0 ] && return 1
	return 0
}

build() {
	# extract the sources tarball
	tar -xzvf $PKG_NAME-$PKG_VER.tar.gz
	[ $? -ne 0 ] && return 1

	cd $PKG_NAME-$PKG_VER

	# build the package
	cc $CFLAGS $(pkg-config --cflags --libs gtk+-2.0) \
	   powerapplet_tray.c \
	   -o powerapplet_tray
	[ $? -ne 0 ] && return 1

	return 0
}

package() {
	# install the executable
	install -D -m755 powerapplet_tray $INSTALL_DIR/$BIN_DIR/powerapplet_tray
	[ $? -ne 0 ] && return 1

	# make it auto-start
	mkdir -p $INSTALL_DIR/root/Startup
	[ $? -ne 0 ] && return 1
	echo -n "#!/bin/dash

exec powerapplet_tray" > $INSTALL_DIR/root/Startup/powerapplet_tray.sh
	[ $? -ne 0 ] && return 1
	chmod 755 $INSTALL_DIR/root/Startup/powerapplet_tray.sh
	[ $? -ne 0 ] && return 1

	return 0
}
