#!/bin/sh

PKG_NAME="libmad"
PKG_VER="0.15.1b"
PKG_REV="1"
PKG_DESC="MPEG decoding library"
PKG_CAT="Multimedia"
PKG_DEPS=""

download() {
	[ -f $PKG_NAME-$PKG_VER.tar.gz ] && return 0
	# download the sources tarball
	download_file ftp://ftp.mars.org/pub/mpeg/$PKG_NAME-$PKG_VER.tar.gz
	[ $? -ne 0 ] && return 1
	return 0
}

build() {
	# extract the sources tarball
	tar -xzvf $PKG_NAME-$PKG_VER.tar.gz
	[ $? -ne 0 ] && return 1

	cd $PKG_NAME-$PKG_VER

	# generate a new configure script
	autoconf
	[ $? -ne 0 ] && return 1
	
	# configure the package
	./configure $AUTOTOOLS_BASE_OPTS \
	            --enable-speed \
	            --disable-debugging \
	            --disable-experimental
	[ $? -ne 0 ] && return 1

	# build the package
	make -j $BUILD_THREADS
	[ $? -ne 0 ] && return 1

	return 0
}

package() {
	# install the package
	make DESTDIR=$INSTALL_DIR install
	[ $? -ne 0 ] && return 1

	# install the copyright notice and the list of authors
	install -D -m644 COPYRIGHT $INSTALL_DIR/$LEGAL_DIR/$PKG_NAME/COPYRIGHT
	[ $? -ne 0 ] && return 1
	install -D -m644 CREDITS $INSTALL_DIR/$LEGAL_DIR/$PKG_NAME/CREDITS
	[ $? -ne 0 ] && return 1

	return 0
}
