#!/bin/sh

PKG_NAME="calc"
PKG_VER="2.12.4.4"
PKG_REV="1"
PKG_DESC="Multi-precision console calculator"
PKG_CAT="Calculate"
PKG_DEPS=""

download() {
	[ -f $PKG_NAME-$PKG_VER.tar.bz2 ] && return 0
	# download the sources tarball
	download_file http://www.isthe.com/chongo/src/calc/$PKG_NAME-$PKG_VER.tar.bz2
	[ $? -ne 0 ] && return 1
	return 0
}

build() {
	# extract the sources tarball
	tar -xjvf $PKG_NAME-$PKG_VER.tar.bz2
	[ $? -ne 0 ] && return 1

	cd $PKG_NAME-$PKG_VER

	# configure the package
	sed -e s~'^DEBUG=.*'~"DEBUG=$CFLAGS"~ \
	    -e s~'^BINDIR=.*'~"BINDIR=/$BIN_DIR"~ \
	    -e s~'^BINDIR=.*'~"BINDIR=/$BIN_DIR"~ \
	    -e s~'^LIBDIR=.*'~"LIBDIR=/$LIB_DIR"~ \
	    -e s~'^INCDIR=.*'~"INCDIR=/$INCLUDE_DIR"~ \
	    -e s~'^MANDIR=.*'~"MANDIR=/$MAN_DIR/man1"~ \
	    -e s~'^CALC_SHAREDIR=.*'~"CALC_SHAREDIR=/$SHARE_DIR/calc"~ \
	    -i Makefile
	[ $? -ne 0 ] && return 1

	# build the package
	make
	[ $? -ne 0 ] && return 1

	return 0
}

package() {
	# install the package
	make T=$INSTALL_DIR install
	[ $? -ne 0 ] && return 1

	# move the license
	mkdir -p $INSTALL_DIR/$LEGAL_DIR/$PKG_NAME
	[ $? -ne 0 ] && return 1
	mv $INSTALL_DIR/$SHARE_DIR/calc/help/COPYING $INSTALL_DIR/$LEGAL_DIR/$PKG_NAME
	[ $? -ne 0 ] && return 1

	# move the scripts directory
	mkdir -p $INSTALL_DIR/$SHARE_DIR
	[ $? -ne 0 ] && return 1
	mv $INSTALL_DIR/$BIN_DIR/cscript $INSTALL_DIR/$SHARE_DIR/calc
	[ $? -ne 0 ] && return 1

	return 0
}
