#!/bin/sh

PKG_NAME="hnb"
PKG_VER="1.9.17"
PKG_REV="1"
PKG_DESC="Hierarchical notebook"
PKG_CAT="Personal"
PKG_DEPS=""

download() {
	[ -f $PKG_NAME-$PKG_VER.tar.gz ] && return 0
	# download the sources tarball
	download_file http://downloads.sourceforge.net/project/hnb/hnb/$PKG_VER/$PKG_NAME-$PKG_VER.tar.gz
	[ $? -ne 0 ] && return 1
	return 0
}

build() {
	# extract the sources tarball
	tar -xzvf $PKG_NAME-$PKG_VER.tar.gz
	[ $? -ne 0 ] && return 1

	cd $PKG_NAME-$PKG_VER

	# configure the package
	sed -i s~'CFLAGS='~"&$CFLAGS "~ src/Makefile
	[ $? -ne 0 ] && return 1

	# build the package
	make -j $BUILD_THREADS
	[ $? -ne 0 ] && return 1

	return 0
}

package() {
	# install the package
	install -D -m755 src/hnb $INSTALL_DIR/$BIN_DIR/hnb
	[ $? -ne 0 ] && return 1
	install -D -m644 doc/hnb.1 $INSTALL_DIR/$MAN_DIR/man1/hnb.1
	[ $? -ne 0 ] && return 1

	# add a menu entry
	mkdir -p $INSTALL_DIR/$DESKTOP_DIR
	[ $? -ne 0 ] && return 1
	cat << END > $INSTALL_DIR/$DESKTOP_DIR/hnb.desktop
[Desktop Entry]
Encoding=UTF-8
Name=hnb hierarchical notebook
Icon=mini-notebook.xpm
Comment=hnb hierarchical notebook
Exec=urxvt -title hnb -e hnb
Terminal=false
Type=Application
Categories=X-Personal
GenericName=hnb hierarchical notebook
END
	[ $? -ne 0 ] && return 1
	chmod 644 $INSTALL_DIR/$DESKTOP_DIR/hnb.desktop
	[ $? -ne 0 ] && return 1

	return 0
}
