#!/bin/sh

PKG_NAME="man-pages"
PKG_VER="3.35"
PKG_REV="1"
PKG_DESC="Linux and glibc API manual pages"
PKG_CAT="Help"
PKG_DEPS="+man"

download() {
	[ -f $PKG_NAME-$PKG_VER.tar.gz ] && return 0
	# download the sources tarball
	download_file http://man7.org/linux/download/man-pages/$PKG_NAME-$PKG_VER.tar.gz
	[ $? -ne 0 ] && return 1
	return 0
}

build() {
	# extract the sources tarball
	tar -xzvf $PKG_NAME-$PKG_VER.tar.gz
	[ $? -ne 0 ] && return 1

	cd $PKG_NAME-$PKG_VER

	return 0
}

package() {
	# install the package
	make DESTDIR=$INSTALL_DIR prefix=/$BASE_INSTALL_PREFIX install
	[ $? -ne 0 ] && return 1

	# install the license
	mkdir -p $INSTALL_DIR/$LEGAL_DIR/$PKG_NAME
	[ $? -ne 0 ] && return 1
	cat README | tail -n 5 | head -n 2 > $INSTALL_DIR/$LEGAL_DIR/$PKG_NAME/LICENSE
	[ $? -ne 0 ] && return 1
	chmod 644 $INSTALL_DIR/$LEGAL_DIR/$PKG_NAME/LICENSE
	[ $? -ne 0 ] && return 1

	return 0
}
