#!/bin/sh

PKG_NAME="optipng"
PKG_VER="0.6.5"
PKG_REV="1"
PKG_DESC="A PNG optimizer"
PKG_CAT="Graphic"
PKG_DEPS=""

download() {
	[ -f $PKG_NAME-$PKG_VER.tar.gz ] && return 0
	# download the sources tarball
	download_file http://prdownloads.sourceforge.net/$PKG_NAME/$PKG_NAME-$PKG_VER.tar.gz
	[ $? -ne 0 ] && return 1
	return 0
}

build() {
	# extract the sources tarball
	tar -xzvf $PKG_NAME-$PKG_VER.tar.gz
	[ $? -ne 0 ] && return 1

	cd $PKG_NAME-$PKG_VER

	# patch the sources to make OptiPNG increase its process priority
echo 'diff -rup optipng-0.6.5-orig//src/optipng.c optipng-0.6.5/src/optipng.c
--- optipng-0.6.5-orig//src/optipng.c	2011-11-19 14:21:13.540311201 +0200
+++ optipng-0.6.5/src/optipng.c	2011-11-19 14:22:57.790007900 +0200
@@ -32,6 +32,7 @@
 #include <stdio.h>
 #include <stdlib.h>
 #include <string.h>
+#include <sys/resource.h>

 #include "optipng.h"
 #include "proginfo.h"
@@ -935,6 +936,8 @@ main(int argc, char *argv[])
     switch (operation)
     {
     case OP_RUN:
+        /* increase the process priority for a speed boost */
+        (void) setpriority(PRIO_PROCESS, 0, PROCESS_PRIORITY);
         result = process_files(argc, argv);
         break;
     case OP_HELP:
diff -rup optipng-0.6.5-orig//src/optipng.h optipng-0.6.5/src/optipng.h
--- optipng-0.6.5-orig//src/optipng.h	2011-11-19 14:21:13.541311189 +0200
+++ optipng-0.6.5/src/optipng.h	2011-11-19 14:23:54.504298874 +0200
@@ -19,6 +19,8 @@
 extern "C" {
 #endif

+/* the process priority (nice value) */
+#define PROCESS_PRIORITY (-20)

 /*
  * User options (e.g. extracted from the command line)' | patch -p1
	[ $? -ne 0 ] && return 1

	# configure the package
	./configure --prefix=/$BASE_INSTALL_PREFIX
	[ $? -ne 0 ] && return 1

	# build the package
	make -j $BUILD_THREADS
	[ $? -ne 0 ] && return 1

	return 0
}

package() {
	# install the package
	make DESTDIR=$INSTALL_DIR install
	[ $? -ne 0 ] && return 1

	# install the license
	install -D -m644 LICENSE.txt $INSTALL_DIR/$LEGAL_DIR/$PKG_NAME/LICENSE.txt
	[ $? -ne 0 ] && return 1

	return 0
}
