#!/bin/sh

PKG_NAME="tudu"
PKG_VER="0.8.1"
PKG_REV="1"
PKG_DESC="Hierarchical TODOs management application"
PKG_CAT="Personal"
PKG_DEPS=""

download() {
	[ -f $PKG_NAME-$PKG_VER.tar.gz ] && return 0
	# download the sources tarball
	download_file http://www.cauterized.net/~meskio/tudu/$PKG_NAME-$PKG_VER.tar.gz
	[ $? -ne 0 ] && return 1
	return 0
}

build() {
	# extract the sources tarball
	tar -xzvf $PKG_NAME-$PKG_VER.tar.gz
	[ $? -ne 0 ] && return 1

	cd $PKG_NAME-$PKG_VER

	# configure the package
	sed -i s/' -O2'// configure
	[ $? -ne 0 ] && return 1
	./configure $AUTOTOOLS_BASE_OPTS
	[ $? -ne 0 ] && return 1


	# build the package
	make -j $BUILD_THREADS
	[ $? -ne 0 ] && return 1

	return 0
}

package() {
	# install the package
	make DESTDIR=$INSTALL_DIR install
	[ $? -ne 0 ] && return 1

	# add a menu entry
	mkdir -p $INSTALL_DIR/$DESKTOP_DIR
	[ $? -ne 0 ] && return 1
	cat << END > $INSTALL_DIR/$DESKTOP_DIR/tudu.desktop
[Desktop Entry]
Encoding=UTF-8
Name=TuDu TODOs manager
Icon=mini-briefcase.xpm
Comment=TuDu TODOs manager
Exec=urxvt -title TuDu -e tudu
Terminal=false
Type=Application
Categories=X-Personal
GenericName=TuDu TODOs manager
END
	[ $? -ne 0 ] && return 1
	chmod 644 $INSTALL_DIR/$DESKTOP_DIR/tudu.desktop
	[ $? -ne 0 ] && return 1

	# install the list of authors
	install -D -m644 AUTHORS $INSTALL_DIR/$LEGAL_DIR/$PKG_NAME/AUTHORS
	[ $? -ne 0 ] && return 1

	return 0
}
