#!/bin/sh

PKG_NAME="wireless_tools"
PKG_VER="29"
PKG_REV="1"
PKG_DESC="Wireless Extensions manipulation tools"
PKG_CAT="core"
PKG_DEPS=""

download() {
	[ -f $PKG_NAME.$PKG_VER.tar.gz ] && return 0
	# download the sources tarball
	download_file http://www.hpl.hp.com/personal/Jean_Tourrilhes/Linux/$PKG_NAME.$PKG_VER.tar.gz
	[ $? -ne 0 ] && return 1
	return 0
}

build() {
	# extract the sources tarball
	tar -xzvf $PKG_NAME.$PKG_VER.tar.gz
	[ $? -ne 0 ] && return 1

	cd $PKG_NAME.$PKG_VER

	# configure the package
	sed -e s~'^CC = .*'~"CC = cc"~ \
	    -e s~'^INSTALL_MAN= .*'~"INSTALL_MAN= \$(PREFIX)/share/man"~ \
	    -e s~'^#CFLAGS=.*'~"CFLAGS=$CFLAGS"~ \
	    -i Makefile
	[ $? -ne 0 ] && return 1

	# build the package
	make -j $BUILD_THREADS PREFIX=/$INSTALL_DIR/$BASE_INSTALL_PREFIX iwmulticall
	[ $? -ne 0 ] && return 1

	return 0
}

package() {
	# install the package
	make PREFIX=/$INSTALL_DIR/$BASE_INSTALL_PREFIX install-iwmulticall
	[ $? -ne 0 ] && return 1
	make PREFIX=/$INSTALL_DIR/$BASE_INSTALL_PREFIX install-man
	[ $? -ne 0 ] && return 1

	return 0
}
