#!/bin/sh

# include the distribution information file
. ./etc/opt/distrorc

echo "Generating the distribution documentation"

pages=""
for i in $(find ./opt/share/doc/distro -type f -name '*.html')
do
	sed -e s~DISTRO_NAME~"$DISTRO_NAME"~g \
	    -e s~DISTRO_VERSION~"$DISTRO_VERSION"~g \
	    -i $i
	pages="$pages
		<li><a href=\"${i##*/}\">$(cat $i | grep '<title>' | cut -f 2 -d \> | cut -f 1 -d \<)</a></li>"
done

# create the help index
cat << EOF > ./opt/share/doc/distro/index.html
<!DOCTYPE HTML>
<html>
<head>
<title>$DISTRO_NAME Documentation</title>
<meta name="description" content="$DISTRO_NAME Documentation" />
<meta http-equiv="content-type" content="text/html;charset=UTF-8" />
<LINK href="style.css" rel="stylesheet" type="text/css">
</head>
<body>
<table>
	<tr>
		<td><img src="/usr/share/pixmaps/distro.png"></td>
		<td><span id="title">$DISTRO_NAME Documentation</span></td>
	</tr>
</table>

<h1>Overview</h1>

<h2>Introduction</h2>
<p>Welcome, this is the help index for $DISTRO_NAME's documentation pages.</p>

<p>
Available pages:
<ul>
$pages
</ul>
</p>
</body>
</html>
EOF
chmod 644 ./opt/share/doc/distro/index.html